Subject: Re: Problems mapping OCM memory from 460EX to user space

From: Ayman El-Khashab <[email-masked]>
Date: Sat, 10 Jul 2010 23:14:18 -0500

On 7/7/2010 2:48 PM, [email-masked] wrote:
>   rc = io_remap_pfn_range(vma, PLB_OCM_BASE_ADDR>>PAGE_SHIFT, vma->vm_start, len, vma->vm_page_prot);
>
> I am fairly certain the physical address is correct, I've verified that the
> TLB entries in u-boot look ok.  Any tips on how to make this work?
>
>    

I found / fixed the issue.  The first problem is that start and offset 
are swapped in the io_remap_pfn_range invocation.  The 2nd was that
there were some TLB changes that were needed to map the OCM.